layui.extend({
    common    :   'js/common'
}).use(['jquery','layer','common','form'],function () {
    //  Jquery插件
    var $ = layui.jquery;
    //  弹窗插件
    var layer = layui.layer;
    //  引入表单插件
    var form = layui.form;
    //  引入公共模块
    var common = layui.common;

    //表单验证
    layui.form.verify({
        specialCharacters : function (value) {
            if(!/^[a-zA-Z0-9_\u4e00-\u9fa5\s·]+$/.test(value)){
                return '名称不能有特殊字符';
            }
            if(/(^\_)|(\__)|(\_+$)/.test(value)){
                return '名称首尾不能出现下划线\'_\'';
            }
            if(/^\d+\d+\d$/.test(value)){
                return '名称不能全为数字';
            }
        },
        length : function (value) {
            if (value.length <2 || value.length > 20){
                return  '名称只能输入2-20个字符!'
            }
        },
        phoneNum : function (value) {
            if(value != ""){
                if(!/^1[3|4|5|7|8]\d{9}$/.test(value)){
                    return '请输入正确的手机号码!';
                }
            }
        },
        serial : function (value) {
            if (value[0] == 0){
                return '请输入不以0开头的数字！'
            }
            if(!/(^$)|^\d+$/.test(value)){
                return '只能填写数字!';
            }
        },
        personName : function (value) {
            if (value != ''){
                if (value.length < 2 || value.length >6){
                    return  '负责人名称只能输入2-6个字符!'
                }
            }
        },
    });
    //监听提交
    form.on('submit(submit_button)', function(data){
        common.sendAsyncRequest("/estate/unit/updateUnit",'POST',data.field,callbackFn);
    });

    //回调函数
    function callbackFn(result) {
        if(result.data){
            layer.msg("修改成功",{
                time: 500
                ,shade : [0.1 , '#000' , true]
            },function () {
                //获取当前弹窗出层的名字
                var index = parent.layer.getFrameIndex(window.name);
                //关闭弹窗层
                parent.layer.close(index);
                // 父页面刷新
                parent.location.reload();
            });
        }else {//添加失败
            layer.msg("修改失败");
        }
    }

    //取消按钮
    $('#cancel_btn').on("click",function(){
        //获取当前弹窗出层的名字
        var index = parent.layer.getFrameIndex(window.name);
        //关闭弹窗层
        parent.layer.close(index);
    });

});